import 'package:test/test.dart';
import 'package:holzleitner_api/holzleitner_api.dart';

// tests for ScanState
void main() {
  final instance = ScanStateBuilder();
  // TODO add properties to the builder and call build()

  group(ScanState, () {
    // Grund bei `status == Held` oder `status == Removed`.
    // String heldReason
    test('to test the property `heldReason`', () async {
      // TODO
    });

    // DateTime lastUpdatedAt
    test('to test the property `lastUpdatedAt`', () async {
      // TODO
    });

    // int scannedQuantity
    test('to test the property `scannedQuantity`', () async {
      // TODO
    });

    // ScanStatus status
    test('to test the property `status`', () async {
      // TODO
    });

  });
}
